Bug 200488 - Lots of "cdrom: This disc doesn't have any tracks I recognize!" when usb flash drive is plugged in
Lots of "cdrom: This disc doesn't have any tracks I recognize!" when usb flas...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
http://sandisk.com/Products/Item(1919...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 00:36 EDT by Joseph Shraibman
Modified: 2008-05-06 12:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2006-07-28 00:36:44 EDT
Description of problem:
Kernel mistakes usb flash drive for cd burner

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2157_FC5

How reproducible:
Every time

Steps to Reproduce:
1. plug in flash drive
2.
3.
  
Actual results:
usb 5-3.1: new high speed USB device using ehci_hcd and address 6
usb 5-3.1: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi2 : SCSI emulation for USB Mass Storage devices
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
  Vendor: SanDisk   Model: U3 Cruzer Micro   Rev: 2.15
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 1994385 512-byte hdwr sectors (1021 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 1994385 512-byte hdwr sectors (1021 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda: sda1
sd 2:0:0:0: Attached scsi removable disk sda
  Vendor: SanDisk   Model: U3 Cruzer Micro   Rev: 2.15
  Type:   CD-ROM                             ANSI SCSI revision: 02
usb-storage: device scan complete
sd 2:0:0:0: Attached scsi generic sg0 type 0
 2:0:0:1: Attached scsi generic sg1 type 5
sr0: scsi3-mmc drive: 8x/40x writer xa/form2 cdda tray
sr 2:0:0:1: Attached scsi CD-ROM sr0
cdrom: This disc doesn't have any tracks I recognize!
SELinux: initialized (dev sda1, type vfat), uses genfs_contexts
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
... repeated many many times

Expected results:
no messages

Additional info:
The flash drive is usable, its just that all these messages appear in dmesg. 
Also since it is a flash drive the cache should be write back, not write through.

lsusb shows:
Bus 005 Device 006: ID 0781:5406 SanDisk Corp.
Comment 1 Pete Zaitcev 2006-07-28 01:09:22 EDT
I saw keys like that. It's some moronic misfeature which some vendors
add to their keys: they present a normal drive and a pseudo-CD-ROM
to the host software. If you plug it in Windows, you can see both.
The messages appear because HAL pounds it every 2s.
Comment 2 Dave Jones 2006-10-16 16:40:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Joseph Shraibman 2006-10-22 01:56:39 EDT
Still a problem

Oct 21 23:53:17 jks-desktop kernel: FS-Cache: Loaded
Oct 21 23:53:18 jks-desktop kernel: FS-Cache: netfs 'nfs' registered for caching
Oct 21 23:53:18 jks-desktop kernel: SELinux: initialized (dev 0:12, type nfs),
uses genfs_contexts

Oct 22 01:55:18 jks-desktop kernel: usb 5-2.4: new high speed USB device using
ehci_hcd and address 6
Oct 22 01:55:19 jks-desktop kernel: usb 5-2.4: configuration #1 chosen from 1 choice
Oct 22 01:55:19 jks-desktop kernel: Initializing USB Mass Storage driver...
Oct 22 01:55:19 jks-desktop kernel: scsi2 : SCSI emulation for USB Mass Storage
devices
Oct 22 01:55:19 jks-desktop kernel: usbcore: registered new driver usb-storage
Oct 22 01:55:19 jks-desktop kernel: USB Mass Storage support registered.
Oct 22 01:55:24 jks-desktop kernel:   Vendor: SanDisk   Model: U3 Cruzer Micro 
 Rev: 2.15
Oct 22 01:55:24 jks-desktop kernel:   Type:   Direct-Access                    
 ANSI SCSI revision: 02
Oct 22 01:55:24 jks-desktop kernel: SCSI device sda: 1994385 512-byte hdwr
sectors (1021 MB)
Oct 22 01:55:24 jks-desktop kernel: sda: Write Protect is off
Oct 22 01:55:24 jks-desktop kernel: sda: assuming drive cache: write through
Oct 22 01:55:24 jks-desktop kernel: SCSI device sda: 1994385 512-byte hdwr
sectors (1021 MB)
Oct 22 01:55:24 jks-desktop kernel: sda: Write Protect is off
Oct 22 01:55:24 jks-desktop kernel: sda: assuming drive cache: write through
Oct 22 01:55:24 jks-desktop kernel:  sda: sda1
Oct 22 01:55:24 jks-desktop kernel: sd 2:0:0:0: Attached scsi removable disk sda
Oct 22 01:55:24 jks-desktop kernel:   Vendor: SanDisk   Model: U3 Cruzer Micro 
 Rev: 2.15
Oct 22 01:55:24 jks-desktop kernel:   Type:   CD-ROM                           
 ANSI SCSI revision: 02
Oct 22 01:55:24 jks-desktop kernel: sd 2:0:0:0: Attached scsi generic sg0 type 0
Oct 22 01:55:24 jks-desktop kernel: scsi 2:0:0:1: Attached scsi generic sg1 type 5
Oct 22 01:55:24 jks-desktop kernel: sr0: scsi3-mmc drive: 8x/40x writer xa/form2
cdda tray
Oct 22 01:55:25 jks-desktop kernel: cdrom: This disc doesn't have any tracks I
recognize!
Oct 22 01:55:56 jks-desktop last message repeated 28 times

[jks@jks-desktop ~]$ uname -a
Linux jks-desktop 2.6.18-1.2200.fc5 #1 SMP Sat Oct 14 16:59:56 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux
Comment 4 Joseph Shraibman 2006-10-23 22:04:40 EDT
OK I didn't see the "I am providing the requested information for this bug."
last time.
Comment 5 Joseph Shraibman 2007-04-12 21:38:57 EDT
This seems to have been fixed in the current fc5 kernel.
Comment 6 Joseph Shraibman 2007-04-19 10:19:00 EDT
Scratch that, it is still a problem in  2.6.20-1.2312.fc5
Comment 7 Bug Zapper 2008-04-03 23:23:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:10:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.